cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/retention-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/retention-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/retention-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"retentionSummary": {
"generatedAt": "2023-11-07T05:31:56Z",
"totals": {
"relationships": 123,
"activeRelationships": 123,
"pendingApproval": 123,
"archivedRelationships": 123,
"rejectedRelationships": 123
},
"relationshipStatuses": {},
"memberStatuses": {},
"portalAccessStatuses": {}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Reports
Get retention summary
Requires retention_summaries:read. Returns aggregate relationship and portal status counts only.
GET
/
public
/
v1
/
reports
/
retention-summary
cURL
curl -X GET "https://api.fitsociety.io/public/v1/reports/retention-summary" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/reports/retention-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/reports/retention-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"retentionSummary": {
"generatedAt": "2023-11-07T05:31:56Z",
"totals": {
"relationships": 123,
"activeRelationships": 123,
"pendingApproval": 123,
"archivedRelationships": 123,
"rejectedRelationships": 123
},
"relationshipStatuses": {},
"memberStatuses": {},
"portalAccessStatuses": {}
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}⌘I